using System;
using System.Drawing;
using System.Runtime.Serialization;
using Syncfusion.Windows.Forms.Diagram;

namespace DeleteLinks_Symbols
{
	/// <summary>
	/// Summary description for MyTextSymbol.
	/// </summary>
	[Serializable()]
	public class MySymbol : Symbol
	{
		private Syncfusion.Windows.Forms.Diagram.Rectangle outerRect = null;
		
		public MySymbol()
		{
	
			// Add an outer rectangle
			this.outerRect = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 140, 50);
			this.outerRect.Name = "Rectangle";
			this.outerRect.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient;
			this.outerRect.FillStyle.ForeColor = System.Drawing.Color.MistyRose;
			this.outerRect.FillStyle.Color = Color.Orange;
			this.AppendChild(outerRect);

			// Add Label to the Rectangle.
			Label lbl = this.AddLabel("MySymbol", BoxPosition.Center);
			lbl.Name = "Label";
			lbl.BackgroundStyle.Color = Color.Transparent;
			lbl.ReadOnly = true;

			
		}
	}
}
